From 60e88bb3f7e619186d746032daf5a27ee75d5f26 Mon Sep 17 00:00:00 2001
From: Aurelien Bompard <aurelien@bompard.org>
Date: Feb 08 2017 23:29:32 +0000
Subject: [PATCH 700/1001] Merge #314 `Cleanup the testing environment`


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index 59866ee..2394c1e 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -14,14 +14,12 @@ import vcr
 
 import hubs.models
 
-cassette_dir = dirname(dirname(__file__)) + '/vcr-request-data/'
-json_path = os.path.join(
-    os.path.join(os.path.dirname(os.path.abspath(__file__))), 'data/')
+cassette_dir = os.path.join(dirname(__file__), 'vcr-request-data')
 
 
 class APPTest(unittest.TestCase):
     def setUp(self):
-        filename = cassette_dir + self.id()
+        filename = os.path.join(cassette_dir, self.id())
         self.vcr = vcr.use_cassette(filename, record_mode='new_episodes')
         self.vcr.__enter__()
 
@@ -155,6 +153,3 @@ class FakeAuthorization(object):
         self.avatar = 'avatar_src_url'
         self.nickname = username
         self.username = username
-
-    def __getitem__(self, key):
-        return self.dic[key]
diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index 3c24905..1ca2a8d 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -18,8 +18,6 @@ import hubs.models
 
 import fedmsg.config
 
-cassette_dir = dirname(dirname(__file__)) + '/vcr-request-data/'
-
 
 class HubsAPITest(hubs.tests.APPTest):
     def test_index_logged_out(self):
diff --git a/hubs/tests/test_widgets/__init__.py b/hubs/tests/test_widgets/__init__.py
index 229d620..7579b19 100644
--- a/hubs/tests/test_widgets/__init__.py
+++ b/hubs/tests/test_widgets/__init__.py
@@ -9,84 +9,18 @@ import requests
 import vcr
 
 import hubs.models
+from hubs.tests import APPTest
 
-cassette_dir = dirname(dirname(__file__)) + '/vcr-request-data/'
 
-
-class WidgetTest(unittest.TestCase):
-    def setUp(self):
-        filename = cassette_dir + self.id()
-        self.vcr = vcr.use_cassette(filename, record_mode='new_episodes')
-        self.vcr.__enter__()
-
-        import hubs.app
-        hubs.app.fedmsg_config = {
-            'hubs.sqlalchemy.uri': 'sqlite://',  # in memory
-        }
-        hubs.app.session = hubs.models.init(
-            hubs.app.fedmsg_config['hubs.sqlalchemy.uri'],
-            create=True,
-        )
-        self.app = hubs.app.app.test_client()
-        self.app.testing = True
-        self.session = hubs.app.session
-        self.populate()
-
-    def tearDown(self):
-        self.vcr.__exit__()
-        self.session.remove()
+class WidgetTest(APPTest):
 
     def populate(self):
-        for user in ['devyani7', 'dhrish', 'shalini', 'ralph', 'decause']:
-            fullname = user.title()
-            hubs.models.User.get_or_create(
-                hubs.app.session, username=user, fullname=fullname)
-
-        hubs.app.session.flush()
-
+        super(WidgetTest, self).populate()
         hub = hubs.models.Hub.by_name('ralph')
         widget = hubs.models.Widget(
-            plugin='about',
-            index=500,
-            _config=json.dumps({"text": "Testing."}),
-        )
-
-        hub.widgets.append(widget)
-
-        widget = hubs.models.Widget(
             plugin='library',
             index=51,
             _config=json.dumps({"urls": "ralph/"})  # we must add a url or itll crash
         )
         hub.widgets.append(widget)
-
-        for team in ['i18n', 'infra', 'old']:
-            hub = hubs.models.Hub(name=team, summary="the %s team" % team)
-            if hub.name == 'old':
-                hub.last_refreshed = datetime.utcnow() - timedelta(days=100)
-                hub.last_updated = datetime.utcnow() - timedelta(days=200)
-
-            hubs.app.session.add(hub)
-            widget = hubs.models.Widget(plugin='meetings', index=11,
-                                        _config=json.dumps({'calendar': team}))
-            hub.widgets.append(widget)
-
-    # TODO - test that it is in the registry
-    # TODO - test that it has all the things it needs
-
-    def widget_instance(self, hubname, plugin):
-        hub = hubs.models.Hub.by_name(hubname)
-        if not hub:
-            raise ValueError("No such hub %r" % hubname)
-        for widget in hub.widgets:
-            if widget.plugin == plugin:
-                return widget
-        raise KeyError("No such widget found for %s/%s" % (hubname, plugin))
-
-    @staticmethod
-    def get_fedmsg(idx):
-        url = 'https://apps.fedoraproject.org/datagrepper/id'
-        response = requests.get(url, params=dict(id=idx))
-        if not bool(response):
-            raise IOError("Failed to talk to %r %r" % (response.url, response))
-        return response.json()
+        hubs.app.session.commit()
diff --git a/hubs/tests/test_widgets/test_library.py b/hubs/tests/test_widgets/test_library.py
index 9182b56..ac7ddfc 100644
--- a/hubs/tests/test_widgets/test_library.py
+++ b/hubs/tests/test_widgets/test_library.py
@@ -18,12 +18,12 @@ class TestLibrary(hubs.tests.test_widgets.WidgetTest):
                 "urls": "ralph/"
             },
             "data": {
-                u"edit_url": u"/ralph/57/edit",
+                u"edit_url": u"/ralph/%d/edit" % widget.idx,
                 u"source_url": u"/source/library",
                 u"urls": [
                     u"<a href=\"ralph/\">ralph/</a>"
                 ],
-                u"widget_url": u"/ralph/57"
+                u"widget_url": u"/ralph/%d" % widget.idx,
             },
             "description": None,
             "hub": "ralph",
diff --git a/tox.ini b/tox.ini
index 37dd0c2..24d3f29 100644
--- a/tox.ini
+++ b/tox.ini
@@ -4,7 +4,6 @@ skipsdist = True
 
 
 [testenv]
-basepython = python2
 usedevelop = True
 deps =
     -rrequirements.txt

